> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List available Hetzner server types



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/hetzner/server-types
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/hetzner/server-types:
    get:
      tags:
        - Hetzner Cluster API
      summary: List available Hetzner server types
      operationId: >-
        list_hetzner_server_types_endpoint_api_v1_clusters_hetzner_server_types_get
      parameters:
        - description: Hetzner credential ID to use for API access
          in: query
          name: credential_id
          required: true
          schema:
            description: Hetzner credential ID to use for API access
            format: uuid
            title: Credential Id
            type: string
        - description: Filter availability by location
          in: query
          name: location
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter availability by location
            title: Location
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/HetznerServerTypeResponse'
                title: >-
                  Response List Hetzner Server Types Endpoint Api V1 Clusters
                  Hetzner Server Types Get
                type: array
          description: Server types retrieved from Hetzner API with availability info
        '400':
          description: Availability check failed
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HetznerServerTypeResponse:
      properties:
        architecture:
          title: Architecture
          type: string
        available:
          title: Available
          type: boolean
        cores:
          title: Cores
          type: integer
        cpu_type:
          title: Cpu Type
          type: string
        description:
          title: Description
          type: string
        disk:
          title: Disk
          type: integer
        memory:
          title: Memory
          type: number
        name:
          title: Name
          type: string
        price_monthly:
          title: Price Monthly
          type: number
      required:
        - name
        - description
        - cores
        - memory
        - disk
        - architecture
        - cpu_type
        - price_monthly
        - available
      title: HetznerServerTypeResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````